<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2010 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: metadata.xml 20310 2010-09-13 16:01:15Z pelletib $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<ipojo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="org.apache.felix.ipojo" xmlns:wbp="org.apache.felix.ipojo.whiteboard"
  xsi:schemaLocation="org.apache.felix.ipojo http://felix.apache.org/ipojo/schemas/1.2.0/core.xsd">

  <component
    classname="org.ow2.jonas.datasource.deployer.DatasourceDeployableRegistration"
    immediate="true">

    <requires optional="false">
      <callback type="bind" method="registerToXmlFileDeployableFactory" />
      <callback type="unbind" method="unregisterfromXmlFileDeployableFactory" />
    </requires>
  </component>
  <component classname="org.ow2.jonas.datasource.deployer.JonasDatasourceDeployer"
    immediate="true">
    <provides specifications="org.ow2.jonas.datasource.deployer.api.IDatasourceDeployer" />

    <requires optional="false"
      specification="org.ow2.jonas.properties.ServerProperties">
      <!--
        @specification is required here because only the abstract JOnAS
        service reference that class, and iPOJO cannot introspect bytecode
        of that class that is not inside this bundle
      -->
      <callback type="bind" method="setServerProperties" />
    </requires>

    <requires optional="true">
      <callback type="bind" method="setWorkCleanerService" />
    </requires>

    <requires optional="false" nullable="false">
      <callback type="bind" method="registerToDeployerManager" />
      <callback type="unbind" method="unregisterFromDeployerManager" />
    </requires>
  </component>
  <instance
    component="org.ow2.jonas.datasource.deployer.DatasourceDeployableRegistration">
  </instance>
  <instance component="org.ow2.jonas.datasource.deployer.JonasDatasourceDeployer">
  </instance>
</ipojo>
